# Brand Registration Feedback

Returns feedback information for brand registrations that were rejected.
Following are the applicable category IDs:

* TAX_ID - Data mismatch related to tax id and its associated properties.
* STOCK_SYMBOL - Non public entity registered as a public for profit entity or the stock information mismatch.
* GOVERNMENT_ENTITY - Non government entity registered as a government entity. Must be a U.S. government entity.
* NONPROFIT - No IRS 501c tax-exempt status found.
* OTHERS - Details of the data misrepresentation if any.

Endpoint: GET /v1/projects/{projectId}/brandRegistrations/{brandRegistrationId}/feedback
Version: 1.0
Security: BasicAuth, OAuth2

## Path parameters:

  - `projectId` (string, required)
    Sinch uses projects to group resources such as contacts and apps together to manage and connect a unique set of keys and secret IDs for all your Sinch API products. To identify a project, it is given a unique alphanumeric identifier that ties it to your account. Your project ID can be found in the Customer Dashboard.

  - `brandRegistrationId` (string, required)
    The Brand Registration ID is returned in the response when creating the brand

## Response 200 fields (application/json):

  - `brandId` (string)

  - `category` (array)

  - `category.id` (string)
    The category ID.
    Enum: "TAX_ID", "STOCK_SYMBOL", "GOVERNMENT_ENTITY", "NONPROFIT", "OTHERS"

  - `category.displayName` (string)

  - `category.description` (string)

  - `category.fields` (array)

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.code` (integer, required)
    The error code.
    Example: 400

  - `error.message` (string, required)
    The error message.
    Example: "Invalid argument."

  - `error.status` (string)
    The status of the error.
    Example: "INVALID_ARGUMENT"

  - `error.details` (array)
    An array of objects describing the error in more detail, if applicable.

  - `error.details.type` (string)
    A more specific description of the error.
    Example: "BadRequest"

  - `error.details.resourceType` (string)
    The type of resource relevant to the error, if applicable.

  - `error.details.resourceName` (string)
    The name of the resource, if applicable.

  - `error.details.owner` (string)
    The owner of the resource, if applicable.

  - `error.details.description` (string)
    A description of the error, if applicable.

  - `error.details.fieldViolations` (array)
    An array of all the field violations which contributed to the error.

  - `error.details.fieldViolations.field` (string)
    The field which produced the error.
    Example: "order_by"

  - `error.details.fieldViolations.description` (string)
    The description of the error.
    Example: "Invalid `order_by` number."


